Skip to content

getItemCostHistory

READ

Get item cost history.

POST /api/v1/items/getItemCostHistory
curl -X POST '<your-host>/api/v1/items/getItemCostHistory' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemId": "string"
  }'
Response
{
  "results": [
    {
      "adjustment": true,
      "appliesToCostLedgerId": "string",
      "companyId": "string",
      "cost": 0,
      "costLedgerType": "Direct Cost",
      "createdAt": "string",
      "documentId": "string",
      "documentType": "Sales Shipment",
      "entryNumber": 0,
      "externalDocumentId": "string",
      "id": "string",
      "itemId": "string",
      "itemLedgerType": "Purchase",
      "nominalCost": 0,
      "postingDate": "string",
      "quantity": 0,
      "remainingQuantity": 0,
      "supplierId": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemId": {
      "type": "string"
    }
  },
  "required": [
    "itemId"
  ]
}